Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\Search\Elasticsearch\Content\SortClauseVisitor\Field\MapLocationDistance Class Reference

Visits the MapLocationDistance sort clause. More...

Inheritance diagram for eZ\Publish\Core\Search\Elasticsearch\Content\SortClauseVisitor\Field\MapLocationDistance:

## Public Member Functions
| __construct (FieldNameResolver $fieldNameResolver, $fieldName)
| canVisit (SortClause $sortClause)
| Check if visitor is applicable to current sortClause. More...
Public Member Functions inherited from eZ\Publish\Core\Search\Elasticsearch\Content\SortClauseVisitor\FieldBase
| __construct (FieldNameResolver $fieldNameResolver)
Public Member Functions inherited from eZ\Publish\Core\Search\Elasticsearch\Content\SortClauseVisitor
| visit (SortClause $sortClause)
| Map field value to a proper Elasticsearch representation. More...

## Protected Attributes
| $fieldName
Protected Attributes inherited from eZ\Publish\Core\Search\Elasticsearch\Content\SortClauseVisitor\FieldBase
| $fieldNameResolver

## Additional Inherited Members
Protected Member Functions inherited from eZ\Publish\Core\Search\Elasticsearch\Content\SortClauseVisitor\FieldBase
| getSortFieldName (SortClause $sortClause, $contentTypeIdentifier, $fieldDefinitionIdentifier, $name=null)
| Get sort field name. More...
| getNestedFilterTerm ($languageCode)
| Returns the term condition for nested filter, used to target specific nested field document. More...
Protected Member Functions inherited from eZ\Publish\Core\Search\Elasticsearch\Content\SortClauseVisitor
| getDirection (SortClause $sortClause)
| Get Elasticsearch sort direction for sort clause. More...

## Detailed Description

Visits the MapLocationDistance sort clause.

Definition at line 17 of file Core/Search/Elasticsearch/Content/SortClauseVisitor/Field/MapLocationDistance.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\Search\Elasticsearch\Content\SortClauseVisitor\Field\MapLocationDistance::__construct | ( | FieldNameResolver | $fieldNameResolver,
|  |  | $fieldName
| ) |  |

Parameters

  \eZ\Publish\Core\Search\Common\FieldNameResolver | $fieldNameResolver |
  string | $fieldName |

Definition at line 30 of file Core/Search/Elasticsearch/Content/SortClauseVisitor/Field/MapLocationDistance.php.

References eZ\Publish\Core\Search\Elasticsearch\Content\SortClauseVisitor\Field\MapLocationDistance\$fieldName, and eZ\Publish\Core\Search\Elasticsearch\Content\SortClauseVisitor\FieldBase\$fieldNameResolver.

## Member Function Documentation

## ◆ canVisit()

eZ\Publish\Core\Search\Elasticsearch\Content\SortClauseVisitor\Field\MapLocationDistance::canVisit | ( | SortClause | $sortClause | ) |

Check if visitor is applicable to current sortClause.

Parameters

  \eZ\Publish\API\Repository\Values\Content\Query\SortClause | $sortClause |

Returns
  bool

Reimplemented from eZ\Publish\Core\Search\Elasticsearch\Content\SortClauseVisitor.

Definition at line 44 of file Core/Search/Elasticsearch/Content/SortClauseVisitor/Field/MapLocationDistance.php.

## Member Data Documentation

## ◆ $fieldName

eZ\Publish\Core\Search\Elasticsearch\Content\SortClauseVisitor\Field\MapLocationDistance::$fieldName
| protected

Definition at line 24 of file Core/Search/Elasticsearch/Content/SortClauseVisitor/Field/MapLocationDistance.php.

Referenced by eZ\Publish\Core\Search\Elasticsearch\Content\SortClauseVisitor\Field\MapLocationDistance\__construct().

The documentation for this class was generated from the following file:

- Core/Search/Elasticsearch/Content/SortClauseVisitor/Field/MapLocationDistance.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.